SQ(1)

NAME
sq key export - Export keys from the key store

SYNOPSIS
sq key export [OPTIONS]

DESCRIPTION
Export keys from the key store.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Export the specified certificate with its secret key material.

    Iterate over the specified certificate's primary key and subkeys and export any keys with secret key material. An error is returned if the certificate does not contain any secret key material.

--key=FINGERPRINT|KEYID
    Export the specified key.

    The entire certificate is exported, but only the specified key's secret key material is exported. An error is returned if the secret key material for the specified key is not available.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import a certificate.

    sq key import alice-secret.pgp

Export Alice's certificate with all available secret key material.

    sq key export --cert EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Export Alice's signing-capable and encryption-capable subkeys, but not her primary key or her authentication-capable subkey.

    sq key export --key 42020B87D51877E5AF8D272124F3955B0B8DECC8 \
        --key 74DCDEAF17D9B995679EB52BA6E65EA2C8497728

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)